---

 fs/hpfs/dir.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN fs/hpfs/dir.c~HPFS10-fix-RC4-rc1 fs/hpfs/dir.c
--- 25/fs/hpfs/dir.c~HPFS10-fix-RC4-rc1	2004-03-01 18:52:17.000000000 -0800
+++ 25-akpm/fs/hpfs/dir.c	2004-03-01 18:52:17.000000000 -0800
@@ -118,9 +118,10 @@ static int hpfs_readdir(struct file *fil
 			}
 		if (filp->f_pos == 12)
 			goto out;
-		if (filp->f_pos == 3 || filp->f_pos == 4 || filp->f_pos == 5)
+		if (filp->f_pos == 3 || filp->f_pos == 4 || filp->f_pos == 5) {
 			printk("HPFS: warning: pos==%d\n",(int)filp->f_pos);
 			goto out;
+		}
 		if (filp->f_pos == 0) {
 			if (filldir(dirent, ".", 1, filp->f_pos, inode->i_ino, DT_DIR) < 0)
 				goto out;

_
